image: docker
services:
  - docker:dind
stages:
  - build
  - push
  - deploy
step-build:
  stage: build
  script:
    - cp /resources/webhelpdesk/.env.* ${CI_PROJECT_DIR}/
    - docker build --build-arg env=${CI_COMMIT_BRANCH} -t registry.digitalocean.com/lobbi/lobbi-${CI_COMMIT_BRANCH}-webhelpdesk .
step-push:
  stage: push
  script:
    - docker push registry.digitalocean.com/lobbi/lobbi-${CI_COMMIT_BRANCH}-webhelpdesk
step-deploy:
  stage: deploy
  script:
    - kubectl rollout restart deployment/${CI_COMMIT_BRANCH}-webhelpdesk
workflow:
  rules:
    - if: '$CI_PIPELINE_SOURCE == "web"'
